@layer master {
    .templateHistory {
        .inner {
            @media (max-width: 56em) {
                grid-column: auto;
                .grid {
                    display: block;
                }
            }
            @media (--max-fablet) {
                grid-column: auto;
                .grid {
                    display: block;
                }
            }
            .intro {
                max-width: 100vw;
                @media (min-width: 56em) {
                    width: calc(100% / 12 * 8);
                }
                @media (--min-fablet) {
                    width: calc(100% / 12 * 8);
                }
            }
        }

        .splide__slide:not(.slideLeftFullBlock) {
            @media (max-width: 56em) {
                margin-bottom: var(--gutter);
            }
            @media (--max-fablet) {
                margin-bottom: var(--gutter);
            }
        }

        .splide__arrow {
            color: var(--color-light);
            background: var(--color-dark);
            top: calc(var(--padding) + 25px);
            &.splide__arrow--prev {
                left: unset;
                right: calc(50px + var(--gutter) + calc(var(--padding) / 2));
            }
            
            &:hover:not(:disabled) {
                @media (hover: hover) {
                    opacity: 0.6;
                    background: var(--color-dark);
                }
            }
        }

        .paginationContainer {
            position: absolute;
            left: var(--padding);
            top: var(--padding);
            overflow: auto;
            padding: 8px;
            border: 1px solid var(--color-dark);
            background: #b3bbb8;
            -webkit-backdrop-filter: blur(60px);
                    backdrop-filter: blur(60px);
            border-radius: 40px;

            @media (max-width: 56em) {
                width: calc(100% - 32px);
                left: 16px;
            }

            @media (--max-fablet) {
                width: calc(100% - 32px);
                left: 16px;
            }
        
            .splide__pagination {
                margin-top: 0;
                gap: 8px;
                display: flex;
                flex-wrap: nowrap;
                white-space: nowrap;
                width: fit-content;
                
                
                
                li {
                    .splide__pagination__page {
                        background: none;
                        border-radius: 32px;
                        display: inline-block;
                        height: auto;
                        margin: 0;
                        position: relative;
                        width: auto;
                        transform: none;
                        padding: 8px 16px;
                        color: var(--color-dark);
                        border: 1px solid transparent;
                        transition: var(--transition);
                        small {
                            font-size: 0.875rem;
                            font-weight: 600;
                            text-transform: lowercase;
                            display: block;
                        }
                        &:hover {
                            opacity: 1;
                            background-color: transparent;
                        }
                        &.is-active {             
                            font-weight: bold;
                            border: 1px solid rgba(255, 255, 255, 0.50);
                            background: rgba(255, 255, 255, 0.50);
                            transform: none;
                        }
                    }
                }
            }
        }

        @media (max-width: 56em) {
            .hide-mobile {
                display: none;
            }
        }

        @media (--max-fablet) {
            .hide-mobile {
                display: none;
            }
        }
        .yearSlide {
            overflow: hidden;
            background-color: var(--color1);
            border-radius: calc(var(--border-radius) + 8px);
            @media (max-width: 56em) {
                height: fit-content;
            }
            @media (--max-fablet) {
                height: fit-content;
            }    
        }

        .splide:not(.yearSlide) {
            @media (min-width: 56em) {
                height: 100%;
                margin-left: var(--min-gutter);
                margin-right: var(--min-gutter);
                max-width: calc(100vw + var(--gutter) + var(--gutter) - var(--spacer) - var(--spacer));
            }
            @media (--min-fablet) {
                height: 100%;
                margin-left: var(--min-gutter);
                margin-right: var(--min-gutter);
                max-width: calc(100vw + var(--gutter) + var(--gutter) - var(--spacer) - var(--spacer));
            }

            
            .splide__track {
                height: 100%;
            }
            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                background-color: var(--color-dark-15);
                &.positionLeft {
                    object-position: left;
                }
                &.positionRight {
                    object-position: right;
                }


            }
        }

        #historyInner {
            margin-left: initial;
            margin-right: initial;
            max-width: 100%;
            .splide__pagination {
                position: absolute;
                bottom: var(--padding);
                left: 50%;
                transform: translateX(-50%);
                margin: 0;
                @media (max-width: 56em) {
                    bottom: calc(var(--gutter) / 3);
                }
                @media (--max-fablet) {
                    bottom: calc(var(--gutter) / 3);
                }

                border-radius: 1000px;
                
                border: 1px solid var(--color-dark);
                background: var(--color-dark-15);
                -webkit-backdrop-filter: blur(30px);
                        backdrop-filter: blur(30px);

                display: inline-flex;
                padding: 8px;
                justify-content: center;
                align-items: center;
                width: max-content;

            }
        }
        
        .swipeMobile {
            @media (min-width: 56em) {
                display: none;
            }
            @media (--min-fablet) {
                display: none;
            }
            svg.icon {
                width: calc(100% - (var(--padding) * 2));
                margin: 0 auto;
            }
        }

        .slideMulti {
            padding-left: var(--padding) !important;
            @media (max-width: 56em) {
                padding-left: calc(var(--padding) / 2) !important;
            }
            @media (--max-fablet) {
                padding-left: calc(var(--padding) / 2) !important;
            }
        }

        .slideBlock {
            padding-right: var(--padding);
            width: 33.333% !important;
            @media (max-width: 56em) {
                width: 100% !important;
                padding: calc(var(--gutter) * 2) calc(var(--padding) / 2) var(--padding) calc(var(--padding) / 2);
            }
            @media (--max-fablet) {
                width: 100% !important;
                padding: calc(var(--gutter) * 2) calc(var(--padding) / 2) var(--padding) calc(var(--padding) / 2);
            }
            .inner {
                padding-top: calc(var(--padding) * 4);
                padding-bottom: calc(var(--padding) * 3);

                @media (max-width: 56em) {
                    padding: 0;
                    gap: calc(var(--gutter) / 2);
                }

                @media (--max-fablet) {
                    padding: 0;
                    gap: calc(var(--gutter) / 2);
                }
                .header {
                    border: 1px solid var(--color-dark);
                    background: var(--color-dark-15);
                    padding: var(--padding);
                    border-radius: 32px;
                    .title, .subTitle {
                        font-family: var(--font-basic);
                        font-weight: 400;
                    }
                }
            }
            .media {
                img {
                    aspect-ratio: 3 / 4;
                }
            }
        }
        .slideImage {
            width: 50% !important;
            padding-top: calc(var(--padding) * 4);
            padding-bottom: calc(var(--padding) * 3);
            padding-right: var(--padding);
            @media (max-width: 56em) {
                width: 100% !important;
                padding-top: calc(var(--padding) / 2);
                padding-right: calc(var(--padding) / 2);
                padding-bottom: 0;
            }
            @media (--max-fablet) {
                width: 100% !important;
                padding-top: calc(var(--padding) / 2);
                padding-right: calc(var(--padding) / 2);
                padding-bottom: 0;
            }
            .media {
                height: 100%;
                border-radius: 0;
                img {
                    aspect-ratio: 4 / 3;
                    border-radius: var(--border-radius);
                    @media (max-width: 56em) {
                        aspect-ratio: 3 / 4;
                    }
                    @media (--max-fablet) {
                        aspect-ratio: 3 / 4;
                    }
                }
            }
            .inner {
                padding-top: calc(var(--padding) * 4);
                padding-bottom: calc(var(--padding) * 3);

                @media (max-width: 56em) {
                    padding-top: var(--padding);
                    padding-bottom: calc(var(--padding) * 2);
                    gap: calc(var(--gutter) / 2);
                }

                @media (--max-fablet) {
                    padding-top: var(--padding);
                    padding-bottom: calc(var(--padding) * 2);
                    gap: calc(var(--gutter) / 2);
                }
                .header {
                    border: 1px solid var(--color-dark);
                    background: var(--color-dark-15);
                    padding: var(--padding);
                    border-radius: 32px;
                    .title, .subTitle {
                        font-family: var(--font-basic);
                        font-weight: 400;
                    }
                }
            }
        }

        .slideLeftBlock {
            .media {
                position: absolute;
                height: 100%;
                width: 100%;
                @media (min-width: 56em) {
                    width: calc(100% /12 * 7 - (var(--padding) * 1.5));
                    right: 0;
                    top: calc(var(--padding) / 2);
                    right: calc(var(--padding) / 2);
                    height: calc(100% - var(--padding));
                }
                @media (--min-fablet) {
                    width: calc(100% /12 * 7 - (var(--padding) * 1.5));
                    right: 0;
                    top: calc(var(--padding) / 2);
                    right: calc(var(--padding) / 2);
                    height: calc(100% - var(--padding));
                }
            }
            .inner {
                position: relative;
                width: calc(100% /12 * 5);
                z-index: 99;
                padding: var(--padding);
                border-radius: var(--border-radius);
                height: calc(100% - var(--padding));
                top: calc(var(--padding) / 2);
                left: calc(var(--padding) / 2);
                background: var(--color-light);
                @media (max-width: 56em) {
                    width: calc(100% - var(--padding)) !important;
                    height: auto;
                }
                @media (--max-fablet) {
                    width: calc(100% - var(--padding)) !important;
                    height: auto;
                }
                .header {
                    border: 1px solid var(--color-dark);
                    background: var(--color-dark-15);
                    padding: var(--padding);
                    border-radius: 32px;
                    margin-top: var(--padding);
                    .title, .subTitle {
                        font-family: var(--font-basic);
                        font-weight: 400;
                    }
                }
            }
        }

        .slideLeftFullBlock {
            .caption {
                border-radius: 0;

                @media (max-width: 56em) {
                    bottom: unset;
                    top: 0;
                    background: linear-gradient(180deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
                }

                @media (--max-fablet) {
                    bottom: unset;
                    top: 0;
                    background: linear-gradient(180deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
                }
            }
            @media (max-width: 56em) {
                display: flex;
                flex-direction: column-reverse;
            }
            @media (--max-fablet) {
                display: flex;
                flex-direction: column-reverse;
            }
            .media {
                position: relative;
                height: 100%;
                width: 100%;
                border-radius: 0;
                @media (min-width: 56em) {
                    width: calc(100% /12 * 7);
                    right: 0;
                    position: absolute;    
                    border-top-left-radius: 0;
                    border-bottom-left-radius: 0;
                }
                @media (--min-fablet) {
                    width: calc(100% /12 * 7);
                    right: 0;
                    position: absolute;    
                    border-top-left-radius: 0;
                    border-bottom-left-radius: 0;
                }
            }
            .inner {
                position: relative;
                width: calc(100% /12 * 5);
                z-index: 99;
                padding: calc(var(--padding) * 2); 
                padding-top: calc(var(--padding) * 4);
                padding-bottom: calc(var(--padding) * 3);
                border-bottom-left-radius: var(--border-radius);
                border-top-left-radius: var(--border-radius);
                height: 100%;
                top: 0;
                left: 0;
                background: var(--color-dark);
                color: var(--color-light);
                svg {
                    :not(.slideLeftFullBlock.light) & path {
                        fill: var(--color-light);
                    }
                    .slideLeftFullBlock.light & path {
                        fill: var(--color-dark);
                    }
                }
                @media (max-width: 56em) {
                    width: 100% !important;
                    height: auto;
                    border-radius: 0;
                    padding: var(--padding);
                    padding-top: calc(var(--gutter) * 2);
                    gap: calc(var(--gutter) / 2);
                }
                @media (--max-fablet) {
                    width: 100% !important;
                    height: auto;
                    border-radius: 0;
                    padding: var(--padding);
                    padding-top: calc(var(--gutter) * 2);
                    gap: calc(var(--gutter) / 2);
                }
                .header {
                    border: 1px solid var(--color-light);
                    background: var(--color-light-15);
                    padding: var(--padding);
                    border-radius: 32px;
                    .title, .subTitle {
                        font-family: var(--font-basic);
                        font-weight: 400;
                        color: var(--color-light);
                    }
                }

            }
            &.light {
                .inner {
                    background-color: var(--color1);
                    color: var(--color-dark);
                    .header {
                        border: 1px solid var(--color-dark);
                        background: var(--color-dark-15);
                        .title, .subTitle {
                            color: var(--font-color);
                        }
                    }
                }
            }
        }

        .sliderQuote {
            .media {
                position: absolute;
                height: 100%;
                width: 100%;
            }
            .inner {
                position: relative;
                width: calc(100% /12 * 8);
                z-index: 99;
                padding: var(--padding);
                border-radius: var(--border-radius);
                top: 50%;
                left: 50%;
                transform: translateX(-50%) translateY(-50%);
                background-color: var(--color-light);
                display: flex;
                flex-direction: row;
                gap: var(--gutter);
                align-items: center;
                @media (max-width: 56em) {
                    width: calc(100% - var(--padding)) !important;
                    height: auto;
                    flex-direction: column;
                    transform: none;
                    top: calc(var(--padding) / 2);
                    left: calc(var(--padding) / 2);
                }
                @media (--max-fablet) {
                    width: calc(100% - var(--padding)) !important;
                    height: auto;
                    flex-direction: column;
                    transform: none;
                    top: calc(var(--padding) / 2);
                    left: calc(var(--padding) / 2);
                }
                .media {
                    position: relative;
                    order: 2;
                    background-color: grey;
                    width: 240px;
                    height: 240px;
                    object-fit: cover;
                    margin: calc(var(--min-padding) / 2);
                    border-radius: calc(var(--border-radius) / 4 * 3);
                }
                .header {
                    flex:1;
                    order: 1;
                    .quote {
                        font-family: var(--font-sub);
                        font-style: italic;
                        font-weight: 400;
                    }
                    .name {
                        font-family: var(--font-basic);
                        font-size: var(--xs-fontsize);
                        font-weight: 600;
                        margin-top: calc(var(--padding) / 2);
                    }
                }
            }
        }

    }
}

@layer addon {
    .templateHistory {
        .inner {
            .inner {
                .title {
                    @media (max-width: 56em) {
                        font-size: var(--m-fontsize);
                    }
                    @media (--max-fablet) {
                        font-size: var(--m-fontsize);
                    }
                }
                .subTitle {
                    @media (max-width: 56em) {
                        font-size: var(--fontsize);
                    }
                    @media (--max-fablet) {
                        font-size: var(--fontsize);
                    }
                }
            }
        }
    }
}